> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List Applications

> Use this endpoint to list all applications that you have created to connect with Lerian's application using M2M credentials—based on the identity provider settings you configured.



## OpenAPI

````yaml /en/openapi/v3-current/AM-identity.yaml get /v1/applications
openapi: 3.1.0
info:
  title: Identity Plugin
  description: ''
  version: 2.4.4
servers:
  - url: https://identity.sandbox.lerian.net
security: []
tags:
  - name: Groups API
  - name: Applications API
  - name: Users API
  - name: MFA API
  - name: Providers API
  - name: Application Providers API
paths:
  /v1/applications:
    get:
      tags:
        - Applications API
      summary: List Applications
      description: >-
        Use this endpoint to list all applications that you have created to
        connect with Lerian's application using M2M credentials—based on the
        identity provider settings you configured.
      parameters: []
      responses:
        '200':
          description: >-
            The list all applications that you have created to connect with
            Lerian's application.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApplicationResponse'
              example:
                - clientId: 019c96a0-6a10-7abc-d1e2-8c9d0e1f2a3b
                  clientSecret: 019c96a0-6a20-7bcd-e1f2-9d0e1f2a3b4c
                  createdAt: '2025-04-08T08:01:30.000Z'
                  description: Midaz Used By Application X
                  id: 019c96a0-0c0c-7221-8cf3-13313fb60081
                  name: Midaz
                - clientId: 019c96a0-6b10-7def-a1b2-1f2a3b4c5d6e
                  clientSecret: 019c96a0-6b20-7efa-b1c2-2a3b4c5d6e7f
                  createdAt: '2025-04-07T18:57:57.312Z'
                  description: Fee Used By Application Y
                  id: 019c96a0-6b30-7fab-c1d2-3b4c5d6e7f8a
                  name: plugin-fee
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
              examples:
                Error1002:
                  $ref: '#/components/examples/Error1002'
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
              examples:
                Error0006:
                  $ref: '#/components/examples/Error0006'
          headers: {}
      security:
        - bearer: []
components:
  schemas:
    ApplicationResponse:
      description: Information about the Application.
      type: object
      properties:
        clientId:
          type: string
          description: Unique identifier of the client.
        clientSecret:
          type: string
          description: >-
            Secret key linked to the `clientId`, used for secure client
            authentication.
        createdAt:
          type: string
          format: date-time
          description: Timestamp marking when the application was created.
        description:
          description: >-
            A clear identifier that helps you quickly recognize who’s using the
            application.
          type: string
        id:
          type: string
          description: Unique identifier of the application.
        name:
          type: string
          description: The name of Lerian's application you’re granting access to.
          enum:
            - midaz
            - plugin-fees
            - plugin-crm
    ErrorMessage:
      description: The response message error.
      type: object
      properties:
        code:
          type: string
          description: A unique, stable identifier for the error.
        title:
          type: string
          description: A brief summary of the issue.
        message:
          type: string
          description: Detailed guidance for resolving the error.
  examples:
    Error1002:
      summary: No Applications Found
      value:
        code: IDE-1002
        title: No Applications Found
        message: No applications were found in the search.
    Error0006:
      summary: Internal Server Error
      value:
        code: IDE-0006
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: The authorization token in the 'Bearer <token>' format.

````